summaryrefslogtreecommitdiff
path: root/plugins
diff options
context:
space:
mode:
Diffstat (limited to 'plugins')
-rw-r--r--plugins/direnv/README.md15
-rw-r--r--plugins/direnv/direnv.plugin.zsh13
2 files changed, 28 insertions, 0 deletions
diff --git a/plugins/direnv/README.md b/plugins/direnv/README.md
new file mode 100644
index 000000000..8deaf38bb
--- /dev/null
+++ b/plugins/direnv/README.md
@@ -0,0 +1,15 @@
+# direnv plugin
+
+This plugin creates the [Direnv](https://direnv.net/) hook.
+
+To use it, add `direnv` to the plugins array in your zshrc file:
+
+```zsh
+plugins=(... direnv)
+```
+
+## Requirements
+
+In order to make this work, you will need to have the direnv installed.
+
+More info on the usage and install: https://github.com/direnv/direnv
diff --git a/plugins/direnv/direnv.plugin.zsh b/plugins/direnv/direnv.plugin.zsh
new file mode 100644
index 000000000..204f46d72
--- /dev/null
+++ b/plugins/direnv/direnv.plugin.zsh
@@ -0,0 +1,13 @@
+_direnv_hook() {
+ trap -- '' SIGINT;
+ eval "$("/usr/local/bin/direnv" export zsh)";
+ trap - SIGINT;
+}
+typeset -ag precmd_functions;
+if [[ -z ${precmd_functions[(r)_direnv_hook]} ]]; then
+ precmd_functions=( _direnv_hook ${precmd_functions[@]} )
+fi
+typeset -ag chpwd_functions;
+if [[ -z ${chpwd_functions[(r)_direnv_hook]} ]]; then
+ chpwd_functions=( _direnv_hook ${chpwd_functions[@]} )
+fi